EndScreen = {}
EndScreen.__index = EndScreen

local text = 
[[Congratulations!
You won the game!
It took you @time@ minutes
You died @deads@ times

Press escape to exit]]
function EndScreen.create()
	local t = {}
	setmetatable(t,EndScreen)

	lg.setBackgroundColor(90, 200, 255)

	return t
end
function EndScreen:draw()
	lg.setFont(font)

	local printtext = string.gsub(text, "@time@", tostring(math.floor(ConWorlds.time/60*10)/10))
		  printtext = string.gsub(printtext, "@deads@", tostring(math.floor(ConWorlds.deads)))

	local _, wraps = font:getWrap(printtext, lg.getWidth()-20)

	lg.setColor(255,255,255)
	lg.printf(printtext, 10, lg.getHeight()/2-font:getHeight()/2*wraps, lg.getWidth()-20, "center")

end
function EndScreen:keypressed(k)
	if k == "escape" then
		love.event.quit()
	end
end